## org.apache.http
Class MalformedChunkCodingException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  org.apache.http.MalformedChunkCodingException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  TruncatedChunkException

    public class MalformedChunkCodingException

extends IOException

Signals a malformed chunked stream.

Since:
  4.0
See Also:
  Serialized Form

Constructor Summary
`MalformedChunkCodingException()` Creates a MalformedChunkCodingException without a detail message.
`MalformedChunkCodingException(String message)` Creates a MalformedChunkCodingException with the specified detail message.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MalformedChunkCodingException

    public MalformedChunkCodingException()

  Creates a MalformedChunkCodingException without a detail message.

### MalformedChunkCodingException

    public MalformedChunkCodingException(String message)

  Creates a MalformedChunkCodingException with the specified detail message.

  Parameters:
    `message` - The exception detail message

Copyright © 2005-2013 The Apache Software Foundation. All Rights Reserved.